#include "services/services.h"
#include "core/session.h"
#include "services/anilist.h"

namespace Services {

void Synchronize() {
	switch (session.config.service) {
		case Anime::Services::ANILIST: AniList::GetAnimeList(); break;
		default: break;
	}
}

void Authorize() {
	switch (session.config.service) {
		case Anime::Services::ANILIST: AniList::AuthorizeUser(); break;
		default: break;
	}
}

}; // namespace Services